<div
  class="t-wrapper"
  *jdsBiLet="!!(open$ | async) as isOpen"
  #activeZone="jdsBiActiveZone"
  [jdsBiDropdownSided]="sided"
  [jdsBiDropdownHost]="host"
  [jdsBiDropdown]="dropdown"
  [jdsBiDropdownManual]="isOpen && canOpen"
  [jdsBiObscuredEnabled]="isOpen"
  (jdsBiObscured)="onHostObscured($event)"
  (jdsBiActiveZoneChange)="onActiveZone($event)"
>
  <ng-content></ng-content>
  <ng-template
    #dropdown="polymorpheus"
    [polymorpheus]="context"
  >
    <div
      #wrapper
      (keydown.esc)="onKeyDownEsc($event)"
      (keydown)="onKeydown($event)"
    >
      <ng-container
        *polymorpheusOutlet="content as text; context: { $implicit: activeZone, close: close }"
      >
        {{ text }}
      </ng-container>
    </div>
    <!--This DIV is here to start backwards TreeWalker for focusing last focusable item on ArrowUp-->
    <div></div>
  </ng-template>
</div>
